APTITUDE-CREATE-ST(1)

NAME
aptitude-create-state-bundle - de huidige toestand van aptitude samenbundelen

SAMENVATTING

aptitude-create-state-bundle [<opties>...] <uitvoerbestand>

OMSCHRIJVING

    Opmerking

    Dit commando is hoofdzakelijk bedoeld voor intern gebruik en voor het rapporteren van bugs in uitzonderlijke gevallen. In normale omstandigheden is het niet bedoeld voor gewone gebruikers.

aptitude-create-state-bundle maakt een gecomprimeerd archief aan waarin de bestanden opgeslagen worden die nodig zijn om de huidige toestand van het pakketarchief te repliceren. De volgende bestanden en mappen worden in de bundel opgenomen:

    • $HOME/.aptitude

    • /var/lib/aptitude

    • /var/lib/apt

    • /var/cache/apt/*.bin

    • /etc/apt

    • /var/lib/dpkg/status

De uitvoer van dit programma kan gebruikt worden als een argument voor aptitude-run-state-bundle(1).

OPTIES

--force-bzip2
    Omzeil het volgens de automatische detectie te gebruiken compressiealgoritme. Standaard gebruikt aptitude-create-state-bundle bzip2(1) als het beschikbaar is en anders gzip(1). Met het opgeven van deze optie wordt het gebruik van bzip2 afgedwongen, zelfs als blijkt dat het niet beschikbaar is.

--force-gzip
    Omzeil het volgens de automatisch detectie te gebruiken compressiealgoritme. Standaard gebruikt aptitude-create-state-bundle bzip2(1) als het beschikbaar is en anders gzip(1). Met het opgeven van deze optie wordt het gebruik van gzip afgedwongen, zelfs als bzip2 beschikbaar is.

--help
    Geef in het kort weer wat het gebruik van dit programma is en breek dan af.

--print-inputs
    Toon een lijst met bestanden en mappen die het programma zou verpakken mocht het een bundel maken, in plaats van echt een bundel te maken.

BESTANDSINDELING

Het bundelbestand is gewoon een tar(1)-bestand dat met behulp van bzip2(1) of gzip(1) gecomprimeerd werd en waarbij de bestandsbomen van de invoer “.” als basis hebben.

ZIE OOK

aptitude-run-state-bundle(1), aptitude(8), apt(8)

AUTEURS

Daniel Burrows <dburrows@debian.org>
    Hoofdauteur van het document.

Manuel A. Fernandez Montecelo <mafm@debian.org>
    Belangrijkste onderhouder na Daniel Burrows, documentatie over nieuwe functionaliteit, correcties en opmaak.

COPYRIGHT

Copyright 2007 Daniel Burrows.

Deze man-pagina is vrije software. U kunt ze verspreiden en/of wijzigen volgens de voorwaarden van de GNU General Public License gepubliceerd door de Free Software Foundation, versie 2 of (volgens uw keuze) elke latere versie.

Deze man-pagina wordt verdeeld in de hoop dat ze nuttig zal zijn, maar ZONDER ENIGE GARANTIE, zelfs zonder de impliciete garantie van VERHANDELBAARHEID of GESCHIKTHEID VOOR EEN SPECIFIEK DOEL. Raadpleeg de GNU General Public License voor meer details.

Samen met dit programma zou u een kopie van de GNU General Public License ontvangen moeten hebben. Is dat niet het geval, schrijf dan naar the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.